Package org.bukkit.event.entity

# Enum Class EntityExhaustionEvent.ExhaustionReason

java.lang.Object
java.lang.Enum<EntityExhaustionEvent.ExhaustionReason>
org.bukkit.event.entity.EntityExhaustionEvent.ExhaustionReason

All Implemented Interfaces:
  `Serializable`, `Comparable<EntityExhaustionEvent.ExhaustionReason>`, `Constable`

Enclosing class:
  EntityExhaustionEvent

public static enum EntityExhaustionEvent.ExhaustionReason extends Enum<EntityExhaustionEvent.ExhaustionReason>
The reason for why a PlayerExhaustionEvent takes place

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ATTACK`
Player attacks another entity
`BLOCK_MINED`
Player mines a block
`CROUCH`
Player crouches one centimeter (does not effect exhaustion, but fires nonetheless)
`DAMAGED`
Player takes damage
`HUNGER_EFFECT`
Player has the hunger potion effect
`JUMP`
Player jumps
`JUMP_SPRINT`
Player is sprint jumping
`REGEN`
Player regenerated health
`SPRINT`
Player sprints one centimeter
`SWIM`
Player swims one centimeter
`UNKNOWN`
Unknown exhaustion reason
`WALK`
Player walks one centimeter (does not effect exhaustion, but fires nonetheless)
`WALK_ON_WATER`
Player moves on the surface of water one centimeter
`WALK_UNDERWATER`
Player walks underwater one centimeter

## Method Summary

Modifier and Type
Method
Description
`static EntityExhaustionEvent.ExhaustionReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityExhaustionEvent.ExhaustionReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BLOCK_MINED

public static final EntityExhaustionEvent.ExhaustionReason BLOCK_MINED
Player mines a block

### HUNGER_EFFECT

public static final EntityExhaustionEvent.ExhaustionReason HUNGER_EFFECT
Player has the hunger potion effect

### DAMAGED

public static final EntityExhaustionEvent.ExhaustionReason DAMAGED
Player takes damage

### ATTACK

public static final EntityExhaustionEvent.ExhaustionReason ATTACK
Player attacks another entity

### JUMP_SPRINT

public static final EntityExhaustionEvent.ExhaustionReason JUMP_SPRINT
Player is sprint jumping

### JUMP

public static final EntityExhaustionEvent.ExhaustionReason JUMP
Player jumps

### SWIM

public static final EntityExhaustionEvent.ExhaustionReason SWIM
Player swims one centimeter

### WALK_UNDERWATER

public static final EntityExhaustionEvent.ExhaustionReason WALK_UNDERWATER
Player walks underwater one centimeter

### WALK_ON_WATER

public static final EntityExhaustionEvent.ExhaustionReason WALK_ON_WATER
Player moves on the surface of water one centimeter

### SPRINT

public static final EntityExhaustionEvent.ExhaustionReason SPRINT
Player sprints one centimeter

### CROUCH

public static final EntityExhaustionEvent.ExhaustionReason CROUCH
Player crouches one centimeter (does not effect exhaustion, but fires nonetheless)

### WALK

public static final EntityExhaustionEvent.ExhaustionReason WALK
Player walks one centimeter (does not effect exhaustion, but fires nonetheless)

### REGEN

public static final EntityExhaustionEvent.ExhaustionReason REGEN
Player regenerated health

### UNKNOWN

public static final EntityExhaustionEvent.ExhaustionReason UNKNOWN
Unknown exhaustion reason

## Method Details

### values

public static EntityExhaustionEvent.ExhaustionReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EntityExhaustionEvent.ExhaustionReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null